import { httpAxios_gym, httpAxios_gyt, httpAxios_klx } from "@/api/ApiInstance"

/**
 * 管乐团
 */

// 获取当前播放的时间
export const getCoursewarePlayTime_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/courseSchedule/getCoursewarePlayTime?courseScheduleId=" + id,
      params: {
         playFrom: "WEB"
      }
   })
}
// 记录时间
export const coursewarePlayTime_gyt = (id: string, time: number) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/courseSchedule/coursewarePlayTime?courseScheduleId=${id}&playTime=${time}`,
      params: {
         playFrom: "WEB"
      }
   })
}
// 判断是否签退
export const checkWebCourse_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/courseSchedule/checkWebCourse/` + id
   })
}
// 查询关联课程
export const refLevel_gyt = (data: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/lessonCoursewareDetail/refLevel`,
      data
   })
}

/**
 * 酷乐秀
 */

// 查询关联课程
export const refLevel_klx = (data: string) => {
   return httpAxios_klx.axioseRquest({
      method: "post",
      url: `/api-teacher/tenantAlbumMusic/refLevel`,
      data
   })
}

/**
 * 酷乐秀
 */

// 查询关联课程
export const refLevel_gym = (data: string) => {
   return httpAxios_gym.axioseRquest({
      method: "post",
      url: `/api-teacher/lessonCourseware/refLevel`,
      data
   })
}
